Ask / Submit
35

There is no Maps app in Jolla C store [answered]

asked 2016-06-23 10:50:15 +0200

Venemo gravatar image

updated 2016-07-28 20:00:25 +0200

palikao gravatar image

DESCRIPTION:

The Maps app is not visible in the Jolla Store on the Jolla C.

PRECONDITIONS:

Jolla C, freshly out of the box

STEPS TO REPRODUCE:

  • Open Jolla Store
  • Search for Maps

EXPECTED RESULT:

Maps should be found.

ACTUAL RESULT:

Maps is not found.

ADDITIONAL INFORMATION:

Maps can still be installed from the command line (pkcon refresh; pkcon install sailfish-maps)

REPRODUCIBILITY: always
BUILD VERSION & TYPE: 2.0.2.43
PLATFORM: Jolla C
LANGUAGE: English

edit retag flag offensive reopen delete

The question has been closed for the following reason "the question is answered, an answer was accepted" by misc11
close date 2016-11-22 21:59:32.652697

Comments

1

this might be intentional unfortunately.

tortoisedoc ( 2016-06-23 18:11:58 +0200 )edit
1

@tortoisedoc why do you think so?

misc11 ( 2016-06-23 22:05:04 +0200 )edit
3

AFAIK, Maps uses licensed Here maps. Maybe Jolla has no license for Jolla C.

J24 ( 2016-06-29 10:42:43 +0200 )edit
2

@J24 That is speculation.

Venemo ( 2016-07-03 21:03:02 +0200 )edit
2

To be honest, that isn't bad at all.

Maps isn't that mature enough to be compared with its Android counterparts like OSMand and Google Maps for navigation in a production enviroment. (Because it lacks speech and looking on a screen every time during driving car/bike & walking is dangerous)

RoestVrijStaal ( 2016-07-18 10:19:20 +0200 )edit

4 Answers

Sort by » oldest newest most voted
17

answered 2016-07-17 19:16:55 +0200

amandalam gravatar image

You may manually install this by using pkcon (with devel-su or root):

pkcon install sailfish-maps

edit flag offensive delete publish link more

Comments

1

is this actually working or just a guess?

dmnk ( 2016-07-17 19:28:02 +0200 )edit
5

It's working.

speactra ( 2016-07-17 22:43:17 +0200 )edit
3

I already noted this in the question.

Venemo ( 2016-07-18 08:16:30 +0200 )edit
1

Yeah please read the question before replying. (That's also valid for those who have upvoted this answer)

Sthocs ( 2016-07-18 12:18:38 +0200 )edit

The solution worked for this bug that I'm also facing.

BonoNL ( 2016-07-19 16:35:58 +0200 )edit
11

answered 2016-07-28 16:50:40 +0200

veskuh gravatar image

This is intentional. Sailfish Maps is not supported for new devices. Instead, Jolla Store now has HERE WeGo - app available.

edit flag offensive delete publish link more

Comments

11

forcing all your customers* to use the android emulator is indeed .... unlike ...

*the ones who'd like to navigate

dmnk ( 2016-07-28 16:54:37 +0200 )edit
6

I think the community would appreciate a statement why the native Sailfish Here Maps app is not supported anymore and if it will be supported in future again. @james

Edit: Well the name is not linked to the profile of James Noori (community manager) as intended...

Alex ( 2016-07-28 17:09:34 +0200 )edit

I am under the impression that Here is forcing them to adapt their app (to new API for ex) or to pay additional dollars (for new devices) while jolla has no resources for that at the moment...?

pat_o ( 2016-07-28 17:11:08 +0200 )edit
3

HERE WeGo is not a proper solution. Using Android apps instead of perfectly working native Sailgish app, why? Just installed Sailfish Maps and it's working just fine.

goldenm ( 2016-07-28 17:33:25 +0200 )edit
  • as DaveRo commented above (Where am I pulley menu item requiring Sailfish Maps to be installed), it looks more like new devices doesn't really support HERE We Go?
goldenm ( 2016-07-28 17:39:33 +0200 )edit
3

answered 2016-07-22 17:57:34 +0200

DirkH gravatar image

tried to install via command line but i get an error: "could not find sailfish-maps Any idea?

edit flag offensive delete publish link more

Comments

Same issue here, the only pertinent packages I have are:

[nemo@Sailfish ~]# pkcon refresh; pkcon search name maps
...
Available   sailfish-maps-all-translations-0.2.7-10.12.1.jolla.noarch
Available   sailfish-maps-all-translations-pack-0.2.7-10.12.1.jolla.noarch
...

Perhaps a missing repository?

vinc_e ( 2016-07-22 21:25:45 +0200 )edit

@vinc_e: which repository do you mean and how can i add it?

DirkH ( 2016-07-23 16:41:48 +0200 )edit

pkcon refesh causes: fatal error: Failed to obtain autentification and pkcon install sailfish-maps causes: command wxecution failed: This tool could not find any available packages: could not find sailfish-maps

What's going wrong? Could someone help me please?

DirkH ( 2016-07-26 08:26:17 +0200 )edit

You need to first elevate your privileges with devel-su. The password can be found when you go to Settings -> developer mode -> enable remote connection. You need to restart the terminal after changing the password.

Bart Vanhauwaert ( 2016-07-26 13:03:37 +0200 )edit

pkcon refresh now works but pkcon install sailfish-maps gives still the same error: This tool could not find any available packages: could not find sailfish-maps

DirkH ( 2016-07-26 20:23:13 +0200 )edit
1

answered 2016-11-22 18:48:04 +0200

megalith gravatar image

After having updatet to 2.0.4.14 with my Intex model I also had not found the maps app on my phone. So I have found a nice feller who have sent me the package.

Now after updating to 2.0.5.6 the following packages got removed and I could not install the sailfish-maps package anymore. I hope to extraxt the needed packages from my Jolla 1 and install them again but it seems for sure wanted that they remove these packages.

  • qt5-plugin-geoservices-nokia;5.2.1+git12-1.27.1;armv7hl;installed
  • qt5-qtdeclarative-import-location;5.2.1+git12+upgrade205-1.29.1;armv7hl;jolla
  • sailfish-maps;1.1.22-10.38.6.jolla;armv7hl;installed

I'm also wondering if we'll now get slowly forced to use the one or other android software!? Until this point I was able to use the SMART phone as such ... without android support.

edit flag offensive delete publish link more

Comments

4

you might try with devel-su:

  • pkcon refresh

  • pkcon install qt5-plugin-geoservices-here

  • pkcon install qt5-qtlocation

  • And then youre sailfish-maps*.rpm package.

Sadly to bury this very nice app, I just love it...

poddl ( 2016-11-23 01:26:29 +0200 )edit
2

@poddl thank you, it worked for me on my JollaC, sfos 2.0.5.6

Zandi ( 2016-12-01 11:56:41 +0200 )edit

Someone mentioned Poormaps in an earlier comment. I've used it a lot on my Fairphone2 and it might work for these other Jollas as well. Available on OpenRepos/Warehouse as well.

mjtorn ( 2016-12-10 13:22:23 +0200 )edit

@Zandi Hey,guy,I need your help, I need the sailfish-maps packpage,can you help me? My mail is zhang_yachuang@outlook.com, THX

Zhang ( 2016-12-24 05:42:19 +0200 )edit

All that needs to be done to get Sailfish Maps on Jolla C / Aqua Fish is:

Download sailfish-maps on your Jolla 1:

pkcon refresh
pkcon download /home/nemo/ sailfish-maps

...or if you don't have a Jolla 1, have a friend give you the rpm.

Copy the sailfish-maps rpm to your Jolla C. Then, on the Jolla C:

su-devel
pkcon refresh
pkcon install qt5-plugin-geoservices-here
pkcon install-local sailfish-maps*.rpm

...where the asterisk in sailfish-maps of course stands in for the complete name of the package.

This will automatically also pull down and install qt5-qtlocation, sailfish-maps-all-translations-pack and qt5-qtdeclarative-import-location

Done! Just keep in mind that this is apparently not legal due to licensing issues. Not that I personally have ever cared about things like that...

bocephus ( 2017-02-04 12:53:53 +0200 )edit

Question tools

Follow
11 followers

Stats

Asked: 2016-06-23 10:50:15 +0200

Seen: 3,350 times

Last updated: Nov 22 '16